Bug 1267286 - RFE: pxe_* drivers should automatically disable PXE boot on NICs not spec'd in instackenv.json
RFE: pxe_* drivers should automatically disable PXE boot on NICs not spec'd i...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Arik Chernetsky
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 10:29 EDT by Dan Yocum
Modified: 2016-10-04 13:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 13:07:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-09-29 10:29:41 EDT
Description of problem:

Section 2.3 in the Director Install and Config guide instructs the user to disable PXE boot on all devices NOT on the provisioning network.

It would be REALLY NICE if all the pxe_* drivers did this automagically.
Comment 4 Mike Burns 2016-04-07 16:50:54 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Dmitry Tantsur 2016-10-04 13:07:48 EDT
Hi! It might be possible for some drivers, but I don't believe it's possible in the generic case (e.g. I can't find it in ipmitool, even less possible for things like snmp). So I'm afraid we can't fix this.

Note You need to log in before you can comment on or make changes to this bug.